{% extends 'dashboard/dashboard.twig' %}

{% block title %}Students | GradeBook{% endblock %}
{% block stylesheets %}
        <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('js/main.js') }}" type="text/javascript"></script>
{% endblock %}

{% block body %}

<div id="table">
    <div id="table-title">
        <div id="table-title-text">
            <h3>{{ title }}</h3>
            <a href="{{ url('add-student') }}"<i class="fas fa-plus-square"></i></a>
        </div>
    </div>
    <div id="list">
        <table>
            <tr>
                <th>Name</th>
                <th>Surname</th>
                <th>Class</th>
                <th>Address</th>
                <th>Email</th>
                <th>Phone</th>
                <th id="action-th">Action</th>
            </tr>
            {% for student in students %}
            <tr>
                <td>{{ student.name }}</td>
                <td>{{ student.surname }}</td>
                <td>{{ student.class }}</td>
                <td>{{ student.address }} {{ student.city }} {{ student.postalcode }}</td>
                <td>{{ student.email }}</td>
                <td>{{ student.phone }}</td>
                <td id="action-td"><a href="{{ path('edit-student', {'id': student.id}) }}"><i class="fas fa-edit"></i></a><a onclick="deleteAlertStudent({{ student.id }})"><i class="fas fa-trash-alt"></i></a></td>
            </tr>
            {% endfor %}
        </table>
    </div>
</div>

{% endblock %}